package com.zd.laboratory.mapper;

import java.util.List;

import com.zd.laboratory.domain.LabSecurityGroup;
import com.zd.laboratory.domain.vo.LabSecurityGroupVO;

/**
 * 安全准入资格Mapper接口
 *
 * @author zd
 * @date 2021-08-31
 */
public interface LabSecurityGroupMapper {
    /**
     * 查询安全准入资格
     *
     * @param id 安全准入资格主键
     * @return 安全准入资格
     */
    public LabSecurityGroupVO selectLabSecurityGroupById(Long id);

    /**
     * 查询安全准入资格列表
     *
     * @param labSecurityGroup 安全准入资格
     * @return 安全准入资格集合
     */
    public List<LabSecurityGroup> selectLabSecurityGroupList(LabSecurityGroup labSecurityGroup);

    /**
     * 新增安全准入资格
     *
     * @param labSecurityGroup 安全准入资格
     * @return 结果
     */
    public int insertLabSecurityGroup(LabSecurityGroup labSecurityGroup);

    /**
     * 修改安全准入资格
     *
     * @param labSecurityGroup 安全准入资格
     * @return 结果
     */
    public int updateLabSecurityGroup(LabSecurityGroup labSecurityGroup);

    /**
     * 删除安全准入资格
     *
     * @param id 安全准入资格主键
     * @return 结果
     */
    public int deleteLabSecurityGroupById(Long id);

    /**
     * 批量删除安全准入资格
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLabSecurityGroupByIds(Long[] ids);

    /**
     * 通过实验室 查询对应的安全准入规则 1V1
     */
    LabSecurityGroupVO querySecurityBySubjectId(Long subjectId);
}
